# config_soundscape.yml
# Config file for Soundscape project production
mounts:
  - name: "audio"
    path: "/mnt/PAM_Archive"
    host: "https://cortex.shore.mbari.org"
    nginx_root: "/PAM_Archive"

  - name: "image"
    path: "/mnt/PAM_Archive"
    host: "https://cortex.shore.mbari.org"
    nginx_root: "/PAM_Archive"

plugins:
  - name: "extractor"
    module: "mbari_aidata.plugins.extractors.tap_soundscape_media"
    function: "extract_media"

redis:
  host: "doris.shore.mbari.org"
  internal_host: "redis-soundscape"
  port: 6385
  project: "901502-Soundscape"

vss:
  project: "901502-Soundscape"
  model: "/mnt/DeepSea-AI/models/Soundscape/TODO"
  output_path: "/mnt/DeepSea-AI/data/Soundscape/processed/vss"

tator:
  project: "901502-Soundscape"
  host: "https://mantis.shore.mbari.org"
  media:
    attributes:
      iso_start_datetime:
        type: datetime
      iso_end_datetime:
        type: datetime

  box:
    attributes:
      Label:
        type: string
      score:
        type: float
      verified:
        type: bool
      comment:
        type: string

ffmpeg_path: "/usr/bin/ffmpeg"
